# Contribution

Here are some small rules for contributing to this project, they may be
subject to change:

## Write Issues about your plans

This is useful that others can keep track and no time is wasted in doing the same twice. You may also write me a mail (oli_r@fg4f.de), then I'll do this myself.

## Base your work onto the master-branch

Master may be regarded as some kind of "nightly"-branch, so usually (though not always) it contains stable code that is going to get into release.

## Commit FREQUENTLY and WELL-DOCUMENTED

The tips from the [Pro-Git-Book][1] come in handy here, as well as the [GitLab Flow page][2].
Do things like rebase and stash only if you're absolutely sure what you're doing, and if the code exists nowhere but on your local repo!

## Early Merge-Requests
If you think you're not completely done yet, or if you are stuck at some point: do a merge-request. Merge-Requests are discussions about work, no presentation for the result.

## Versioning
Versioning is done by pheerai when merging into release. It is done the following way: v<major>.<minor>.<bugfix>
The steps needed for major-releases can be found in the roadmap, minor versions change when one of the major-features gets added before a master release.

[1]: http://www.git-scm.com/book/en/v2
[2]: https://about.gitlab.com/2014/09/29/gitlab-flow/
